package com.qianhe.zqcz.ryxx.service;

import com.qianhe.zqcz.ryxx.domain.ZqczRyxx;
import com.qianhe.zqcz.ryxx.domain.ZqczRyxxQuery;
import com.qianhe.zqcz.ryxx.domain.ZqczRyxxVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ZqczRyxxService {
    /**
     * 条件查询
     */
    List<ZqczRyxxVo> list(ZqczRyxxQuery zqczRyxxQuery);

    /**
     * 查询详情
     */
    ZqczRyxxVo info(Long ryid);

    /**
     * 新增
     */
    int add(ZqczRyxx zqczRyxx, String username) ;

    /**
     * 修改
     */
    int edit(ZqczRyxx zqczRyxx, String username) ;

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 根据基础任务ID删除
     */
    int deleteByJcrwid(Long jcrwid);

    /**
     * 导入
     */
    int importExcel(Long jcrwid, MultipartFile file);
}
